// -*-C++-*-
/*!
 * @file  MyDataTypeSVC_impl.cpp
 * @brief Service implementation code of MyDataType.idl
 *
 */

#include "MyDataTypeSVC_impl.h"

/*
 * Example implementational code for IDL interface RunControlInfo
 */
RunControlInfoSVC_impl::RunControlInfoSVC_impl()
{
  // Please add extra constructor code here.
}


RunControlInfoSVC_impl::~RunControlInfoSVC_impl()
{
  // Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
CORBA::Short RunControlInfoSVC_impl::setMaxAcc(CORBA::Double mps_acc, CORBA::Double rps_acc)
{
	MpsAcc=mps_acc;
	RpsAcc=rps_acc;
}

CORBA::Short RunControlInfoSVC_impl::getMaxAcc(CORBA::Double& mps_acc, CORBA::Double& rps_acc)
{
	mps_acc=MpsAcc;
	rps_acc=RpsAcc;
}

CORBA::Short RunControlInfoSVC_impl::setRangeVel(CORBA::Double mps_max, CORBA::Double rps_max, CORBA::Double mps_min, CORBA::Double rps_min)
{
	MpsMax=mps_max;
	RpsMax=rps_max;
	MpsMin=mps_min;
	RpsMin=rps_min;
}

CORBA::Short RunControlInfoSVC_impl::getRangevel(CORBA::Double& mps_max, CORBA::Double& rps_max, CORBA::Double& mps_min, CORBA::Double& rps_min)
{
	mps_max=MpsMax;
	rps_max=RpsMax;
	mps_min=MpsMin;
	rps_min=RpsMin;
}



// End of example implementational code



